
Katello - Tracker #8161

Host Unification

10/29/2014 12:49 PM - Eric Helms

Status: Rejected % Done: 0%

Priority: Normal   

Assignee:    

Category: Hosts   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1081697 Red Hat JIRA:  

Description

Related issues:

Related to Katello - Feature #9116: update hosts list to reflect CV and subsc... Rejected

Related to Katello - Feature #9094: During registration, systems should link ... Rejected

Related to Katello - Feature #5375: Duplicate System Detection Rejected

Related to Katello - Bug #4632: since subscription-manager cannot retrieve it... Rejected

Related to Katello - Bug #5525: content hosts needs dynflow for candlepin int... Resolved 05/01/2014

Related to Katello - Bug #5710: Remove use of Candle Pin uuids from Content H... Rejected

Related to Katello - Bug #6917: system/host-collection API should take databa... Rejected

Related to Katello - Refactor #6617: create join table between System and Hos... Rejected

Related to Katello - Bug #7364: Katello host environment is not updated upon ... Rejected

Related to Katello - Feature #8206: I would like to change the columns on the... Rejected

Related to Katello - Bug #6054: hammer: cmd to remove a content host from hos... Rejected

Related to Katello - Bug #6307: content host API - json returned by index tak... Rejected

Related to Katello - Feature #9095: As a user, I should be able to identify c... Rejected

Related to Katello - Bug #10844: hosts -> content hosts - nothing shown after... Rejected

Related to Katello - Feature #10920: View/sort content host list by katello-a... Rejected

Related to Katello - Bug #11272: bulk delete of hosts redirect to tasks progr... Rejected

Has duplicate Katello - Feature #4912: Katello and Foreman Host and System in... Duplicate 03/27/2014 05/01/2014

Blocked by Katello - Feature #8164: As a user I should not be able to change ... Rejected

Blocked by Katello - Feature #8165: As a user, I should expect a host object ... Rejected

Blocked by Katello - Feature #8166: As a user, I should expect a system regis... Rejected

Blocked by Katello - Feature #8167: As a user, I should expect a system regis... Rejected

Blocked by Katello - Feature #8168: As a user, hosts should be able to belong... Resolved 10/29/2014

Blocked by Katello - Feature #8169: As a developer the content host attribute... Rejected

Blocked by Katello - Feature #8170: As a developer, I would expect activation... Rejected

Blocked by Katello - Feature #8171: As a user I should be able to access /api... Rejected

Blocked by Katello - Feature #9371: As a user I want a method for correcting ... Rejected

Blocked by Katello - Feature #9372: As a user, I should expect a system regis... Rejected

Blocked by Foreman - Feature #3763: Ability for engine/plugin to extend RABL ... Closed 11/26/2013

Blocked by Katello - Bug #9380: Lost link between host and content-host Closed 02/13/2015

Blocked by Katello - Feature #9381: Registering a host (which is not provisio... Rejected

Blocked by Katello - Bug #9384: Deleting hosts from the "All Hosts" listing l... Closed 02/13/2015

Blocks Katello - Feature #5374: Archive hosts so they can be hidden from the ... Rejected

History

#2 - 10/29/2014 12:54 PM - Eric Helms

- Blocked by Feature #8164: As a user I should not be able to change the organization on a host added

05/21/2024 1/4



#3 - 10/29/2014 12:54 PM - Eric Helms

- Blocked by Feature #8165: As a user, I should expect a host object created whenever a content host registers and there is not already a host existing

added

#4 - 10/29/2014 12:55 PM - Eric Helms

- Blocks Feature #8166: As a user, I should expect a system registration to determine which host it is based soley on hostname added

#5 - 10/29/2014 12:55 PM - Eric Helms

- Blocks deleted (Feature #8166: As a user, I should expect a system registration to determine which host it is based soley on hostname)

#6 - 10/29/2014 12:55 PM - Eric Helms

- Blocked by Feature #8166: As a user, I should expect a system registration to determine which host it is based soley on hostname added

#7 - 10/29/2014 12:56 PM - Eric Helms

- Blocked by Feature #8167: As a user, I should expect a system registration to be rejected if a foreman host found with the same hostname has a

candlepin consumer with different mac addresses, providing instructions to resolve added

#8 - 10/29/2014 12:56 PM - Eric Helms

- Blocked by Feature #8168: As a user, hosts should be able to belong to host collections added

#9 - 10/29/2014 12:57 PM - Eric Helms

- Blocked by Feature #8169: As a developer the content host attributes and associations should be migrated to the host object added

#10 - 10/29/2014 12:58 PM - Eric Helms

- Blocked by Feature #8170: As a developer, I would expect activation keys to be associated directly with hosts and host groups added

#11 - 10/29/2014 12:59 PM - Eric Helms

- Blocked by Feature #8171: As a user I should be able to access /api/v2/hosts/:id and get all of the needed information for hosts/content_hosts added

#12 - 02/13/2015 10:25 AM - Eric Helms

- Blocked by Feature #9371: As a user I want a method for correcting existing host that do not have content host records added

#13 - 02/13/2015 10:40 AM - Eric Helms

- Blocked by Feature #9372: As a user, I should expect a system registration to be rejected if a foreman host found with the same hostname has a

candlepin consumer with different mac addresses, providing instructions to resolve added

#14 - 02/13/2015 11:07 AM - Stephen Benjamin

- Blocked by Feature #3763: Ability for engine/plugin to extend RABL responses added

#15 - 02/13/2015 03:43 PM - Thomas McKay

- Blocked by Bug #9380: Lost link between host and content-host added

#16 - 02/13/2015 03:44 PM - Thomas McKay

- Blocked by Feature #9381: Registering a host (which is not provisioned by foreman) via rhsm should show up in foreman added

#17 - 02/13/2015 04:09 PM - Thomas McKay

- Blocked by Bug #9384: Deleting hosts from the "All Hosts" listing leaves them as Content Hosts. added

#18 - 02/23/2015 10:16 AM - Eric Helms

- translation missing: en.field_release set to 31

#19 - 04/02/2015 03:08 PM - Eric Helms

- Related to Feature #9116: update hosts list to reflect CV and subscription status added

#20 - 04/02/2015 05:31 PM - Eric Helms

- Related to Feature #9094: During registration, systems should link to an existing record if one exists with that mac address. added
#21 - 06/10/2015 12:51 PM - Eric Helms

- translation missing: en.field_release deleted (31)

#22 - 08/23/2015 10:55 AM - Eric Helms

- Has duplicate Feature #4912: Katello and Foreman Host and System integration added

#23 - 08/23/2015 11:19 AM - Eric Helms

- Related to Feature #5374: Archive hosts so they can be hidden from the main UI added

#24 - 08/23/2015 11:19 AM - Eric Helms

- Related to deleted (Feature #5374: Archive hosts so they can be hidden from the main UI)

#25 - 08/23/2015 11:19 AM - Eric Helms

- Blocks Feature #5374: Archive hosts so they can be hidden from the main UI added

#26 - 08/23/2015 11:20 AM - Eric Helms

- Related to Feature #5375: Duplicate System Detection added

#27 - 08/24/2015 11:28 AM - Bryan Kearney

- Bugzilla link set to 1081697

#28 - 09/15/2015 09:07 PM - Eric Helms

- Subject changed from Host - Content Host Integration to Host Unification

#29 - 12/21/2015 10:34 AM - Eric Helms

- Related to Bug #4632: since subscription-manager cannot retrieve its certificate after the initial registration call fails, resuming a failed registration

results in an unusable registered system added

#30 - 12/21/2015 11:24 AM - Eric Helms

- Related to Bug #5525: content hosts needs dynflow for candlepin interaction added

#31 - 12/21/2015 11:30 AM - Eric Helms

- Related to Bug #5710: Remove use of Candle Pin uuids from Content Host api calls added

#32 - 12/21/2015 11:49 AM - Eric Helms

- Related to Bug #6917: system/host-collection API should take database id rather than the uuid added

#33 - 12/21/2015 01:28 PM - Eric Helms

- Related to Refactor #6617: create join table between System and Host for content_view and lifecycle environment added

#34 - 12/21/2015 01:33 PM - Eric Helms

- Related to Bug #7364: Katello host environment is not updated upon registration to itself added

#35 - 12/21/2015 02:23 PM - Eric Helms

- Related to Feature #8206: I would like to change the columns on the content hosts page added

#36 - 12/21/2015 03:09 PM - Eric Helms

- Related to Bug #6054: hammer: cmd to remove a content host from host-collection should use system id instead of UUID added

#37 - 12/21/2015 03:13 PM - Eric Helms

- Related to Bug #6307: content host API - json returned by index takes too long to process added

#38 - 12/21/2015 04:54 PM - Eric Helms

- translation missing: en.field_release set to 114

#39 - 12/21/2015 08:21 PM - Eric Helms

- Related to Feature #9095: As a user, I should be able to identify content hosts that have not checked in. added
#40 - 12/21/2015 10:52 PM - Eric Helms

- Related to Bug #10844: hosts -> content hosts - nothing shown after a host is created added

#41 - 12/21/2015 10:53 PM - Eric Helms

- Related to Feature #10920: View/sort content host list by katello-agent installation status added

#42 - 12/21/2015 10:55 PM - Eric Helms

- Related to Bug #11272: bulk delete of hosts redirect to tasks progress page added

#43 - 08/28/2019 08:10 PM - John Mitsch

- Status changed from New to Rejected

- Target version deleted (Katello Backlog)

Thanks for reporting this issue. This issue was created over 4 years ago and hasn't seen an update in 1 year. We are closing this in an effort to keep

a realistic backlog. Please open up a new issue that includes a link to this issue if you feel this still needs to be addressed. We can then triage the

new issue and reassess.
